# You can override the included template(s) by including variable overrides
# SAST customization: https://docs.gitlab.com/ee/user/application_security/sast/#customizing-the-sast-settings
# Secret Detection customization: https://docs.gitlab.com/ee/user/application_security/secret_detection/#customizing-settings
# Dependency Scanning customization: https://docs.gitlab.com/ee/user/application_security/dependency_scanning/#customizing-the-dependency-scanning-settings
# Container Scanning customization: https://docs.gitlab.com/ee/user/application_security/container_scanning/#customizing-the-container-scanning-settings
# Note that environment variables can be set in several places
# See https://docs.gitlab.com/ee/ci/variables/#cicd-variable-precedence
stages:
- test
sast:
  stage: test
include:
- template: Security/SAST.gitlab-ci.yml

# automated-api-tests:
#   stage: test
#   image: cimg/base:2021.04
#   before_script:
#     # Installing Postman CLI
#     - curl -o- "https://dl-cli.pstmn.io/install/linux64.sh" | sh
#   script:
#     # Login using your Postman API keys
#     - postman login --with-api-key "PMAK-6535492a374db500381ad957-0bfc26f242346780b90f974d0d2878cccb"
#     - postman collection run "9783072-f1986f44-afc8-43cc-b3e0-967bd7aa6aae"

owasp_zap_scan:
  stage: test
  script:
      - docker pull owasp/zap2docker-stable
      - docker run -d --name zap-container -p 8080:8080 owasp/zap2docker-stable zap.sh -daemon -host 0.0.0.0 -port 8080
      - sleep 30
      - docker exec zap-container zap-cli --api-key 93c31fkmsv0ndo7e26rsikfbjr spider "https://valentinos-coffee.herokuapp.com"
      - sleep 120
      - docker exec zap-container zap-cli --api-key 93c31fkmsv0ndo7e26rsikfbjr active-scan "https://valentinos-coffee.herokuapp.com"
      - sleep 120
      - docker exec zap-container zap-cli --api-key 93c31fkmsv0ndo7e26rsikfbjr report -o /zap/reports/report.html -f html
